Package org.apache.sysds.runtime.io

# Class FrameWriterTextCSVParallel

java.lang.Object
org.apache.sysds.runtime.io.FrameWriter
org.apache.sysds.runtime.io.FrameWriterTextCSV
org.apache.sysds.runtime.io.FrameWriterTextCSVParallel

public class FrameWriterTextCSVParallel extends FrameWriterTextCSV
Single-threaded frame text csv writer.

## Field Summary

### Fields inherited from class org.apache.sysds.runtime.io.FrameWriterTextCSV

`BLOCKSIZE_J`

## Constructor Summary

Constructors
Constructor
Description
`FrameWriterTextCSVParallel(FileFormatPropertiesCSV props)`

## Method Summary

### Methods inherited from class org.apache.sysds.runtime.io.FrameWriterTextCSV

`writeFrameToHDFS`

### Methods inherited from class org.apache.sysds.runtime.io.FrameWriter

`setForcedParallel`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FrameWriterTextCSVParallel

public FrameWriterTextCSVParallel(FileFormatPropertiesCSV props)